## ros-kinetic-robotis-device 0.2.9

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(robotis_device)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  dynamixel_sdk
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES robotis_device
  CATKIN_DEPENDS roscpp dynamixel_sdk
)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(robotis_device
  src/robotis_device/robot.cpp
  src/robotis_device/sensor.cpp
  src/robotis_device/dynamixel.cpp
)
add_dependencies(robotis_device ${catkin_EXPORTED_TARGETS})
target_link_libraries(robotis_device ${catkin_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS robotis_device
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY devices
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-robotis-device (0.2.9-0xenial) xenial; urgency=high

  * modified to prevent duplicate indirect address write
  * fixed a bug that occure when handling bulk read item that does not exist
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Wed, 21 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-device (0.2.8-0xenial) xenial; urgency=high

  * added RH-P12-RN.device file
  * Contributors: Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-device (0.2.7-0xenial) xenial; urgency=high

  * fixed a bug that occur when handling bulk read item that does not exist
  * changed the License and package format to version 2
  * Contributors: SCH, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-device (0.2.6-0xenial) xenial; urgency=high

  * OpenCR control table item name changed. (torque_enable -> dynamixel_power)
  * fixed to not update update_time_stamp_ if bulk read fails.
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.5-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.4-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 06 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.3-0xenial) xenial; urgency=high

  * updated the cmake file for ros install
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.2-0xenial) xenial; urgency=high

  * added a deivce: OpenCR
  * changed to read control cycle from .robot file
  * Contributors: Zerom, Kayman

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-robotis-device (0.2.1-0xenial) xenial; urgency=high

  * Merge the changes and update
  * mode change debugging
  * 
    
      * convertRadian2Value / convertValue2Radian : commented out the code that limits the maximum/minimum value.
    
  * 
    
      * modified dependency problem.
    
  * Contributors: Jay Song, Pyo, Zerom, SCH

 -- Pyo <pyo@robotis.com>  Tue, 22 Nov 2016 15:00:00 -0000

ros-kinetic-robotis-device (0.2.0-0xenial) xenial; urgency=high

  * bug fixed (position pid gain & velocity pid gain sync write).
  * added velocity_to_value_ratio to DXL Pro-H series.
  * added velocity p/i/d gain and position i/d gain sync_write code.
  * fixed robotis_device build_depend.
  * added XM-430-W210 / XM-430-W350 device file.
  * rename (present_current_ -> present_torque_)
  * modified torque control code
  * added device file for MX-64 / MX-106
  * adjusted position min/max value. (MX-28, XM-430)
  * Contributors: Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-device (0.1.1-0xenial) xenial; urgency=high

  * updated the package information
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-device (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * modified the package information for release
  * develop branch -> master branch
  * Setting the license to BSD.
  * add SensorState
    add Singleton template
  * XM-430 / CM-740 device file added.
    Sensor device added.
  * modified.
  * variable name changed.
    ConvertRadian2Value / ConvertValue2Radian function bug fixed.
  * added code to support the gazebo simulator
  * renewal
  * Contributors: Zerom

 -- robotis <zerom@robotis.com>  Thu, 11 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robotis-device
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamixel-sdk, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/robotis_device
Standards-Version: 3.9.2

Package: ros-kinetic-robotis-device
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dynamixel-sdk, ros-kinetic-roscpp
Description: The package that manages device information of ROBOTIS robots.
 This package is used when reading device information with the robot information file from the robotis_controller package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robotis-device//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
